<?php

require_once WICKED_BASE . '/lib/Page/StandardPage.php';

/**
 * Wicked BackLinks class.
 *
 * $Horde: wicked/lib/Page/BackLinks.php,v 1.11 2004/07/31 02:33:53 eraserhd Exp $
 *
 * @author  Tyler Colbert <tyler-hordeml@colberts.us>
 * @version $Revision: 1.11 $
 * @package Wicked
 */
class BackLinks extends Page {

    /**
     * Display modes supported by this page.
     * @var array $supportedModes
     */
    var $supportedModes = array(
        WICKED_MODE_DISPLAY => true);

    /**
     * The page that we're displaying backlinks to.
     * @var string $_referrer
     */
    var $_referrer = null;

    function BackLinks($referrer)
    {
        $this->_referrer = $referrer;
    }

    /**
     * Render this page in Display mode.
     *
     * @return mixed                Returns true or PEAR_Error.
     */
    function display()
    {
        global $wicked;

        $summaries = $wicked->getBackLinks($this->_referrer);
        if (is_a($summaries, 'PEAR_Error')){
            global $notification;
            $notification->push('Error retrieving summaries: ' .
                                $summaries->toString(), 'horde.error');
            return $summaries;
        }

        require WICKED_TEMPLATES . '/pagelist/header.inc';
        foreach ($summaries as $page) {
            if (!empty($page['page_history'])){
                $page = &new StdHistoryPage($page);
            } else {
                $page = &new StandardPage($page);
            }
            require WICKED_TEMPLATES . '/pagelist/summary.inc';
        }
        require WICKED_TEMPLATES . '/pagelist/footer.inc';

        return true;
    }

    function pageName()
    {
        return _("BackLinks");
    }
    function referrer()
    {
        return $this->_referrer;
    }

    function pageUrl($linkpage = 'display.php', $actionid = 'none')
    {
        $url = Horde::applicationUrl($linkpage);
        $url = Util::addParameter($url, 'page', $this->pageName());
        $url = Util::addParameter($url, 'referrer', $this->referrer());
        return Util::addParameter($url, 'actionID', $actionid);
    }

}
